// Debug.h: Schnittstelle fr die Klasse Debug.
//
//////////////////////////////////////////////////////////////////////

#if !defined( AFX_DEBUG_H__ABCDEECA_7AA8_4813_A857_649A01C7C734__INCLUDED_ )
#define AFX_DEBUG_H__ABCDEECA_7AA8_4813_A857_649A01C7C734__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <fstream>

class Debug  
{
private:
	ofstream	ofile;
	bool			EnableOut;

public:
	Debug();
	virtual ~Debug();

	void Inline( const int n );
	void Open( const string &filename );
	void Out( const string &DebugOut );
	void OutTest( const string &DebugOut );
	void Print( const string &DebugOut );
	void Println( const string &DebugOut );
	bool IsReady() const { return ( ofile && ofile.good() && ofile.is_open() ); };
	void Close();
};

#endif // !defined( AFX_DEBUG_H__ABCDEECA_7AA8_4813_A857_649A01C7C734__INCLUDED_ )
