// StringQueue.h: Schnittstelle fr die Klasse StringQueue.
//
//////////////////////////////////////////////////////////////////////

#if !defined( AFX_STRINGQUEUE_H__6D3A0436_85D0_4650_963B_5C3654EAFAD6__INCLUDED_ )
#define AFX_STRINGQUEUE_H__6D3A0436_85D0_4650_963B_5C3654EAFAD6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class StringQueue  
{
private:
	static const int STRINGQUEUE_MAXSIZE;
	int			size;
	string* strings;
	CRITICAL_SECTION  criticalsection;
	bool RemoveFirst();

public:
	bool Pop( string* String );
	bool Push( const string& String );
	bool Get( string* String );
	void Clear();
	bool IsEmpty();
	int  GetSize();

	StringQueue();
	virtual ~StringQueue();
};

#endif // !defined( AFX_STRINGQUEUE_H__6D3A0436_85D0_4650_963B_5C3654EAFAD6__INCLUDED_ )
