// Timer.h: Schnittstelle fr die Klasse Timer.
//
//////////////////////////////////////////////////////////////////////

#if !defined( AFX_TIMER_H__C0C4307B_1ADE_4936_B48B_8F87FF67AC78__INCLUDED_ )
#define AFX_TIMER_H__C0C4307B_1ADE_4936_B48B_8F87FF67AC78__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Timer  
{
private:
	clock_t startTicks, stopTicks;
	float duration;

public:
	/**
	 * The constructor calls Start()
	 */

	Timer();
	virtual ~Timer();
	
	/* Pauses for a specified number of milliseconds. */
	static void Timer::sleep( clock_t msec );

	/**
	 * Starts the stopwatch
	 */
	void  Start();

	/**
	 * Stops the stopwatch, store duration in msec and return
	 * msecs.
	 */
	float Stop();

	/**
	 * Return last duration in msecs
	 */
	float GetDuration();
};

#endif // !defined( AFX_TIMER_H__C0C4307B_1ADE_4936_B48B_8F87FF67AC78__INCLUDED_ )
